Bug 92102 - [EFL] Get rid of pango backend support once harfbuzz-ng is working
Summary: [EFL] Get rid of pango backend support once harfbuzz-ng is working
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dominik Röttsches (drott)
URL:
Keywords:
Depends on:
Blocks: 91853
  Show dependency treegraph
 
Reported: 2012-07-24 05:36 PDT by Dominik Röttsches (drott)
Modified: 2012-08-20 02:09 PDT (History)
10 users (show)

See Also:


Attachments
Removing Pango from EFL buildsystem. (6.82 KB, patch)
2012-08-17 06:55 PDT, Dominik Röttsches (drott)
no flags Details | Formatted Diff | Diff
Removing Pango from EFL buildsystem, v2. LibFindMacros removed. (11.27 KB, patch)
2012-08-20 01:03 PDT, Dominik Röttsches (drott)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Röttsches (drott) 2012-07-24 05:36:37 PDT
As per http://behdad.org/text/ I think we should get rid of the pango backend once we have harfbuzz-ng support.
Comment 1 Gyuyoung Kim 2012-07-24 18:51:21 PDT
If you wanna stop to support pango backend in EFL port, I think you need to notify this removal to webkit-efl as well.
Comment 2 Dominik Röttsches (drott) 2012-08-17 06:55:51 PDT
Created attachment 159114 [details]
Removing Pango from EFL buildsystem.
Comment 3 Dominik Röttsches (drott) 2012-08-17 06:59:18 PDT
(In reply to comment #2)
> Created an attachment (id=159114) [details]
> Removing Pango from EFL buildsystem.

Since there were no objections on webkit-efl list.
Comment 4 Raphael Kubo da Costa (:rakuco) 2012-08-17 09:04:57 PDT
Comment on attachment 159114 [details]
Removing Pango from EFL buildsystem.

This is awesome, I love code cleanups. In theory, you can also get rid of LibFindMacros.cmake, as FindPango.cmake was its last user.
Comment 5 Ryuan Choi 2012-08-19 14:32:04 PDT
As I mentioned in webkit-efl mailing list.

I don't have objection for removing.

However, please give me some time for webkit/tizen to catch up trunk.

As I mentioned,
tizen/webkit still use FontPango.cpp and FindPango.cmake

And also, I heard that internal implementation of spellchecker had pango dependency.

If this is not urgent task,
I want to keep this until tizen/webkit solved related issues.
Comment 6 Dominik Röttsches (drott) 2012-08-20 01:03:45 PDT
Created attachment 159351 [details]
Removing Pango from EFL buildsystem, v2. LibFindMacros removed.
Comment 7 Dominik Röttsches (drott) 2012-08-20 01:08:39 PDT
(In reply to comment #5)
> As I mentioned in webkit-efl mailing list.
> I don't have objection for removing.
> However, please give me some time for webkit/tizen to catch up trunk.
> 
> As I mentioned, tizen/webkit still use FontPango.cpp and FindPango.cmake
> If this is not urgent task,
> I want to keep this until tizen/webkit solved related issues.

I think, we should clean this up in upstream quickly. You can keep a local patch for the pieces that you still need. Since there's no other dependency and it's only removing code and files, I think the maintenance overhead for keeping this as a local change is rather small.
Comment 8 WebKit Review Bot 2012-08-20 02:09:42 PDT
Comment on attachment 159351 [details]
Removing Pango from EFL buildsystem, v2. LibFindMacros removed.

Clearing flags on attachment: 159351

Committed r126010: <http://trac.webkit.org/changeset/126010>
Comment 9 WebKit Review Bot 2012-08-20 02:09:49 PDT
All reviewed patches have been landed.  Closing bug.